Subject: [manet] Why does RFC 3561 says to update the lifetime of an INVALID route?

From: "Koojana Kuladinithi" <[email-masked]>
Date: Mon, 15 Dec 2003 15:41:31 +0100

Hello all,

Can somebody explain following texts in RFC 3561. 

(in section 6.11 last paragraph)

"If a data packet is received for an invalid route, the lifetime field is
updated to current time plus DELETE-PERIOD".

According to sec. 6.11, a node sends a RERR (after detecting a link break to
a neighbour) and set affected routes as invalid for a DELETE-PERIOD. What is
the purpose of updating lifetime of an INVALID route as explained above?

Kind regards

Koojana

University of Bremen
FB 1 - IKOM/ComNets
Koojana Kuladinithi BSc, MSc
Otto-Hahn-Allee NW 1
28359 Bremen - Germany

Tel.: +49 421 218 8264, Fax: +49 421 218 3601, Mobile: +49 160 2690070
Email: [email-masked]  
[email-masked] 

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet

---

From: Ian Chakeres <[email-masked]>
Date: Mon, 15 Dec 2003 07:36:36 -0800

The purpose is to remember the sequence number for a longer period of
time. This helps other nodes know exactly which routes are invalid.

Ian Chakeres

>Koojana Kuladinithi wrote:
>Hello all,
>